version: '3.4'
services:
  jitsi-xmpp:
    image: superboum/amd64_jitsi_xmpp:v3
    ports:
      - "5222:5222"
      - "5347:5347"
      - "5280:5280"
    env_file: [ 'dev.env' ]
    volumes: [ './jitsi-certs/:/certs:ro' ]
  jitsi-meet:
    image: superboum/amd64_jitsi_meet:v1
    ports:
      - "443:443"
    env_file: [ 'dev.env' ]
    volumes: [ './jitsi-certs/:/certs:ro' ]
  jitsi-conference-focus:
    image: superboum/amd64_jitsi_conference_focus:v4
    env_file: [ 'dev.env' ]
    volumes: [ './jitsi-certs/:/certs:ro' ]
  jitsi-videobridge:
    image: superboum/amd64_jitsi_videobridge:v14
    ports:
      - "8080:8080/tcp"
      - "10000:10000/udp"
    env_file: [ 'dev.env' ]
    volumes: [ './jitsi-certs/:/certs:ro' ]
